# Note that this is NOT a relocatable package
%define __libtoolize :
%global momorel 15

Summary: A color font rendering library for X11R6.
Name: fnlib
Version: 0.5
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.enlightenment.org/enlightenment/fnlib/fnlib-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.rasterman.com/
BuildPreReq: imlib-devel >= 1.9.14-4k
BuildPreReq: libpng-devel >= 1.2.2

%description
Fnlib is a library that provides full, scalable 24 bit color font 
rendering abilities for the X Window System.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The fnlib-devel package contains headers, static libraries and
documentation for Fnlib development.
Install fnlib-devel if you want to develop Fnlib applications.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%append _makeinstall_args -- fontdatadir=%{buildroot}%{_datadir}/fnlib_fonts
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%config /etc/fnrc
%{_prefix}/lib/lib*.so.*
%{_prefix}/share/fnlib_fonts/*

%files devel
%defattr(-, root, root)
#%doc doc/index.html
%doc doc/fontinfo.README
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/*

%ChangeLog
* Mon Nov 24 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5-15m)
- pretty spec file

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.5-14k)
- rebuild against imlib 1.9.14-4k (implies libpng >= 1.2.2).

* Thu Feb 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.5-12k)
- NoSource statement was removed.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (0.5-10k)
- rebuild against libpng 1.2.0.

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.5-7k)
- fixed for FHS

* Mon Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Oct 30 1999 Motonobu Ichimura <famao@kondara.org>
- up to 0.5

* Fri Sep 17 1999 Michael Fulbright <drmike@redhat.com>
- removed 0 length index.html file

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

